Skip to main content
GET
/
connectors
/
consumers
/
{consumer_id}
/
offers
Offers Consumer Listing
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "cashback_rate": 5,
      "highlight_level": "HIGH",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "name": "<string>",
      "status": "<string>",
      "type": "CASHBACK",
      "application_channel": "ONLINE",
      "application_url": "https://www.mybrand.fr",
      "brand": {
        "description": "<string>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "legal_terms": "<string>",
        "logo": {
          "content_type": "<string>",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "name": "<string>",
          "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "url": "<string>"
        },
        "name": "<string>",
        "universes": [
          {
            "children": "<array>",
            "id": "e2c32b4b-de61-459b-accf-a75f76247946",
            "name": "<string>",
            "parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
          }
        ]
      },
      "cashback_budget": 123,
      "cashback_overall_amount": 123,
      "comission_rate": 123,
      "consumed": true,
      "coupon_diffusion_type": "<unknown>",
      "coupon_file": {
        "content_type": "<string>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "name": "<string>",
        "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "<string>"
      },
      "coupon_generic_code": "<unknown>",
      "coupon_total_number": 123,
      "created_at": "2019-01-31T15:16:15.523309+00:00",
      "description": "<string>",
      "end_date": "2017-12-26T23:00:00+00:00",
      "favorite": true,
      "is_activated": true,
      "is_consumed": true,
      "is_favorite": true,
      "last_publish": "2023-11-07T05:31:56Z",
      "legal_terms": "<string>",
      "max_amount": 250,
      "max_cashbacks_per_consumer": 123,
      "merchant": {
        "name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "logo": {
          "content_type": "<string>",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "name": "<string>",
          "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "url": "<string>"
        }
      },
      "min_amount": 40,
      "network": "739c5ba7-8831-4664-9ce3-73e9f1e50c09",
      "old_publish_dates": [
        "2023-11-07T05:31:56Z"
      ],
      "picture": {
        "content_type": "<string>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "name": "<string>",
        "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "<string>"
      },
      "program": {
        "id": "<string>",
        "legal_terms": "<string>",
        "name": "<string>"
      },
      "publication_date": "2019-01-01T00:00:00+00:00",
      "reference": "MYBRAND-20180220-001",
      "segments": [
        {
          "id": "e2c32b4b-de61-459b-accf-a75f76247946"
        }
      ],
      "source_transaction": true,
      "start_date": "2018-12-21T00:00:00+00:00",
      "total_amount": 4682.67,
      "total_consumers": 123,
      "universes": {
        "level_1": "Mode&Accessoire",
        "level_2": "Mode",
        "level_3": "Mode Femme"
      },
      "user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "meta": {
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

Query Parameters

application_channel
enum<string>

Offer availability: ONLINE if the offer is online only. OFFLINE if the offer is offline only. BOTH if the offer is online and offline

Available options:
BOTH,
ONLINE,
OFFLINE
brand__name
string

Filter by brand__name

Name of the brand

brand_id
string<uuid>

Filter by brand_id

cashback_rate
number

Filter by cashback_rate

Rate of reward used to calculate cashback amount

created_at
string

Filter by created_at

Filtering on date of creation between -- after -- before --

end_date
string

Filter by end_date

Filtering on end date between -- after -- before --

highlight_level
enum<string>

Enum in: HIGHEST, HIGH, NORMAL. For a contextual display (banner, carousel etc...), this value is set by the program manager on each offer

Available options:
HIGHEST,
HIGH,
NORMAL
is_consumed
boolean

Filter by is_consumed

Has the consumer already consumed the coupon of the current offer? If true, yes. If false, no.

is_favorite
boolean

Filter by is_favorite

TRUE if the offer is liked by consumer, FALSE if not

name
string

Filter by name

Name of the object

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
publication_date
string

Filter by publication_date

Filtering on publication date between -- after -- before --

reference
string

Filter by reference

Unique reference of the offer. Human readable, made out from the concatenation of the brand name + creation date + increment.

sort
enum<string>

Sort by given attribute

Available options:
created_at,
start_date,
end_date,
publication_date,
name,
reference,
type,
application_channel,
brand__name,
brand_id,
highlight_level,
status,
source_transaction,
cashback_rate,
universe,
is_favorite,
is_consumed,
-created_at,
-start_date,
-end_date,
-publication_date,
-name,
-reference,
-type,
-application_channel,
-brand__name,
-brand_id,
-highlight_level,
-status,
-source_transaction,
-cashback_rate,
-universe,
-is_favorite,
-is_consumed
source_transaction
boolean

Filter by source_transaction

If this flag is true, the transaction must come from the default bank of the program to generate a reward

start_date
string

Filter by start_date

Filtering on start date between -- after -- before --

status
string

Filter by status

type
enum<string>

Filter by type

Available options:
CASHBACK,
UNIQUE_COUPON,
GENERIC_COUPON
universe
string<uuid>

Filter by universe

Universe of the brand

Response

OK

items
object[]
meta
object